## oob 0.4.1~bpo9+1

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	$(INSTALL) -d $(DESTDIR)/usr/sbin
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -d $(DESTDIR)/etc/oob 
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man5
	$(INSTALL) -d $(DESTDIR)/etc/cron.d 
	$(INSTALL) -d $(DESTDIR)/etc/logrotate.d 
	$(INSTALL) -d $(DESTDIR)/var/log/oob
	$(INSTALL) -d $(DESTDIR)/var/lib/oob
	$(INSTALL) -m 755 src/usr/sbin/oob $(DESTDIR)/usr/sbin
	$(INSTALL) -m 644 src/usr/share/man/man1/* $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -m 644 src/usr/share/man/man5/* $(DESTDIR)/usr/share/man/man5
	$(INSTALL) -m 644 src/etc/oob/oob.conf $(DESTDIR)/etc/oob
	$(INSTALL) -m 644 src/etc/oob/exclude $(DESTDIR)/etc/oob
	$(INSTALL) -m 644 src/etc/cron.d/oob $(DESTDIR)/etc/cron.d
	$(INSTALL) -m 644 src/etc/logrotate.d/oob $(DESTDIR)/etc/logrotate.d

clean:

## oob 0.4.1~bpo8+1

=== debian/changelog ===
oob (0.4.1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy
  * [a78f2c7] Revert debhelper level compat to 10

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 16 Feb 2019 18:37:19 +0100

oob (0.4.1) unstable; urgency=medium

  * [fa60478] Fix temporary exclude file name
  * [3ae07a9] Update script's version

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 16 Feb 2019 18:31:30 +0100

oob (0.4) unstable; urgency=medium

  * [1b77acd] Report current program/host in case of error
  * [a14c3a8] Fix multiple exclude files handling
  * [17ac2bc] Update script's version

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 16 Feb 2019 14:42:08 +0100

oob (0.3) unstable; urgency=medium

  * [70aa2df] Use host instead of nslookup.
    This is to make the script compatible with Netgear's ReadyNASOS, which
    defaults to busybox's variant of nslookup, whose output is different
    from bind's nslookup and breaks the parsing
  * [6d3b145] Update script's version
  * [3f5ab03] Update TODO.md
  * [c8e5fa2] Bump Standards-Version to 4.3.0

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 16 Jan 2019 17:14:21 +0100

oob (0.2) unstable; urgency=medium

  * [d86c372] Add verbose message about backup directory
  * [a4109fa] Don't run delayed_delete if there's nothing to delete
  * [e594f3a] Harmonize some verbose and error messages

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 30 May 2018 11:43:26 +0200

oob (0.1) unstable; urgency=medium

  * Initial release

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 29 May 2018 02:46:40 +0200

=== debian/control ===
Source: oob
Section: net
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.3.0

Package: oob
Architecture: all
Depends: shell-script-helper, bind9-host, rsync, openssh-client, cron | cron-daemon, ${misc:Depends}
Recommends: logrotate
Description: Online Offline Backup
 A shell script to backup hosts online, as if they were offline.
 .
 It bind-mounts all the physical mount points (everything currently mounted
 that sits in /dev) and then backs them up. This way, you have a backup of the
 real contents of the disk and nothing else (no tmpfs, nfs, sys, proc...)
 allowing for an easy restoration in case of disaster recovery.
 .
 It pulls files over the network with rsync, which means that remote hosts
 must be accessible to the super user through ssh without password for automatic
 operation.

## oob 0.4.1~bpo9+1

=== debian/changelog ===
oob (0.4.1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 16 Feb 2019 18:34:11 +0100

## oob 0.4.1

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper (>= 11)
 Standards-Version: 4.3.0
 
 Package: oob

## oob 0.5.1~bpo10+1

=== debian/changelog ===
oob (0.5.1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 25 Feb 2020 09:09:42 +0100

oob (0.5.1) unstable; urgency=medium

  * [bbf1d8c] /etc/exclude: add more APT cache/temporary files

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 25 Feb 2020 08:54:53 +0100

oob (0.5) unstable; urgency=medium

  * [a19cbb5] /etc/exclude: add /root/.cache/**
  * [50b4708] Add support for optional hosts
  * [379dc22] Add support for MySQL
  * [d50643c] Add "--delete-before" and "--delete-excluded" to RSYNC_OPTS
  * [9848d1c] Set HOST_RSYNC_OPTS even when EXCLUDE_FILE_TEMP is empty
  * [83bd0b3] Replace delay(ed) with lazy
  * [9d1f771] Fix oob.conf manpage
  * [aa0f289] Update script's version
  * [dd298ca] Update TODO.md
  * [caffd1a] Bump debhelper compatibility level to 12
  * [c47b90b] Bump Standards-Version to 4.5.0

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 16 Feb 2020 15:52:45 +0100

## oob 0.5.2

=== Makefile ===
# Minimalistic Makefile

INSTALL = /usr/bin/install

all:

install:
	# Directories with standard permissions
	$(INSTALL) -d $(DESTDIR)/etc/oob 
	$(INSTALL) -d $(DESTDIR)/etc/cron.d 
	$(INSTALL) -d $(DESTDIR)/etc/logrotate.d 
	$(INSTALL) -d $(DESTDIR)/usr/sbin
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man5
	$(INSTALL) -d $(DESTDIR)/var/log/oob
	$(INSTALL) -d $(DESTDIR)/var/lib/oob
	# Files
	# Executables
	$(INSTALL) -m 755 bin/oob $(DESTDIR)/usr/sbin
	# Configuration files
	$(INSTALL) -m 644 conf/oob.conf $(DESTDIR)/etc/oob
	$(INSTALL) -m 644 conf/exclude $(DESTDIR)/etc/oob
	$(INSTALL) -m 644 conf/cron $(DESTDIR)/etc/cron.d/oob
	$(INSTALL) -m 644 conf/logrotate $(DESTDIR)/etc/logrotate.d/oob
	# Manual pages
	$(INSTALL) -m 644 doc/*.1 $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -m 644 doc/*.5 $(DESTDIR)/usr/share/man/man5

clean:

=== debian/changelog ===
oob (0.5.2) unstable; urgency=medium

  * [7534d95] Wait for concurrent backup to finish
  * [a3752db] Update mount list
    - Exclude /run
    - Optimize sed command
  * [10a4aea] Update script's version
  * [c9355fc] Source directory overhaul
  * [d049cd3] Update makefile
  * [aab7804] Update postinst
  * [6af9c52] Update copyright years
  * [00d376d] Update TODO.md

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 28 Sep 2025 20:06:01 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.5.0
 
 Package: oob
 Architecture: all
